diff --git a/_ide_helper.php b/_ide_helper.php
index 9a3bc91..e29078a 100644
--- a/_ide_helper.php
+++ b/_ide_helper.php
@@ -15139,7 +16109,7 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function parentPlaceholder($section = '')
         {
-            return \Illuminate\View\Factory::parentPlaceholder($section);
+                        return \Illuminate\View\Factory::parentPlaceholder($section);
         }
         
         /**
@@ -15151,7 +16121,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function hasSection($name)
         {
-            return \Illuminate\View\Factory::hasSection($name);
+                        /** @var \Illuminate\View\Factory $instance */
+                        return $instance->hasSection($name);
         }
         
         /**
@@ -15164,7 +16135,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function getSection($name, $default = null)
         {
-            return \Illuminate\View\Factory::getSection($name, $default);
+                        /** @var \Illuminate\View\Factory $instance */
+                        return $instance->getSection($name, $default);
         }
         
         /**
@@ -15175,7 +16147,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function getSections()
         {
-            return \Illuminate\View\Factory::getSections();
+                        /** @var \Illuminate\View\Factory $instance */
+                        return $instance->getSections();
         }
         
         /**
@@ -15186,7 +16159,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function flushSections()
         {
-            \Illuminate\View\Factory::flushSections();
+                        /** @var \Illuminate\View\Factory $instance */
+                        $instance->flushSections();
         }
         
         /**
@@ -15198,7 +16172,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function addLoop($data)
         {
-            \Illuminate\View\Factory::addLoop($data);
+                        /** @var \Illuminate\View\Factory $instance */
+                        $instance->addLoop($data);
         }
         
         /**
@@ -15209,7 +16184,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function incrementLoopIndices()
         {
-            \Illuminate\View\Factory::incrementLoopIndices();
+                        /** @var \Illuminate\View\Factory $instance */
+                        $instance->incrementLoopIndices();
         }
         
         /**
@@ -15220,7 +16196,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function popLoop()
         {
-            \Illuminate\View\Factory::popLoop();
+                        /** @var \Illuminate\View\Factory $instance */
+                        $instance->popLoop();
         }
         
         /**
@@ -15231,7 +16208,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function getLastLoop()
         {
-            return \Illuminate\View\Factory::getLastLoop();
+                        /** @var \Illuminate\View\Factory $instance */
+                        return $instance->getLastLoop();
         }
         
         /**
@@ -15242,7 +16220,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function getLoopStack()
         {
-            return \Illuminate\View\Factory::getLoopStack();
+                        /** @var \Illuminate\View\Factory $instance */
+                        return $instance->getLoopStack();
         }
         
         /**
@@ -15255,7 +16234,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function startPush($section, $content = '')
         {
-            \Illuminate\View\Factory::startPush($section, $content);
+                        /** @var \Illuminate\View\Factory $instance */
+                        $instance->startPush($section, $content);
         }
         
         /**
@@ -15267,7 +16247,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function stopPush()
         {
-            return \Illuminate\View\Factory::stopPush();
+                        /** @var \Illuminate\View\Factory $instance */
+                        return $instance->stopPush();
         }
         
         /**
@@ -15280,7 +16261,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function startPrepend($section, $content = '')
         {
-            \Illuminate\View\Factory::startPrepend($section, $content);
+                        /** @var \Illuminate\View\Factory $instance */
+                        $instance->startPrepend($section, $content);
         }
         
         /**
@@ -15292,7 +16274,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function stopPrepend()
         {
-            return \Illuminate\View\Factory::stopPrepend();
+                        /** @var \Illuminate\View\Factory $instance */
+                        return $instance->stopPrepend();
         }
         
         /**
@@ -15305,7 +16288,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function yieldPushContent($section, $default = '')
         {
-            return \Illuminate\View\Factory::yieldPushContent($section, $default);
+                        /** @var \Illuminate\View\Factory $instance */
+                        return $instance->yieldPushContent($section, $default);
         }
         
         /**
@@ -15316,7 +16300,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function flushStacks()
         {
-            \Illuminate\View\Factory::flushStacks();
+                        /** @var \Illuminate\View\Factory $instance */
+                        $instance->flushStacks();
         }
         
         /**
@@ -15328,7 +16313,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function startTranslation($replacements = array())
         {
-            \Illuminate\View\Factory::startTranslation($replacements);
+                        /** @var \Illuminate\View\Factory $instance */
+                        $instance->startTranslation($replacements);
         }
         
         /**
@@ -15339,7 +16325,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function renderTranslation()
         {
-            return \Illuminate\View\Factory::renderTranslation();
+                        /** @var \Illuminate\View\Factory $instance */
+                        return $instance->renderTranslation();
         }
          
     }
@@ -15347,10 +16334,6 @@ namespace Illuminate\Support\Facades {
     /**
      * 
      *
-     * @method static void send(\Illuminate\Support\Collection|array|mixed $notifiables, $notification)
-     * @method static void sendNow(\Illuminate\Support\Collection|array|mixed $notifiables, $notification)
-     * @method static mixed channel(string|null $name = null)
-     * @method static \Illuminate\Notifications\ChannelManager locale(string|null $locale)
      * @see \Illuminate\Notifications\ChannelManager
      */ 
     class Notification {
@@ -15365,7 +16348,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function send($notifiables, $notification)
         {
-            \Illuminate\Notifications\ChannelManager::send($notifiables, $notification);
+                        /** @var \Illuminate\Notifications\ChannelManager $instance */
+                        $instance->send($notifiables, $notification);
         }
         
         /**
@@ -15379,7 +16363,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function sendNow($notifiables, $notification, $channels = null)
         {
-            \Illuminate\Notifications\ChannelManager::sendNow($notifiables, $notification, $channels);
+                        /** @var \Illuminate\Notifications\ChannelManager $instance */
+                        $instance->sendNow($notifiables, $notification, $channels);
         }
         
         /**
@@ -15391,7 +16376,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function channel($name = null)
         {
-            return \Illuminate\Notifications\ChannelManager::channel($name);
+                        /** @var \Illuminate\Notifications\ChannelManager $instance */
+                        return $instance->channel($name);
         }
         
         /**
@@ -15402,7 +16388,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function getDefaultDriver()
         {
-            return \Illuminate\Notifications\ChannelManager::getDefaultDriver();
+                        /** @var \Illuminate\Notifications\ChannelManager $instance */
+                        return $instance->getDefaultDriver();
         }
         
         /**
@@ -15413,7 +16400,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function deliversVia()
         {
-            return \Illuminate\Notifications\ChannelManager::deliversVia();
+                        /** @var \Illuminate\Notifications\ChannelManager $instance */
+                        return $instance->deliversVia();
         }
         
         /**
@@ -15425,19 +16413,21 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function deliverVia($channel)
         {
-            \Illuminate\Notifications\ChannelManager::deliverVia($channel);
+                        /** @var \Illuminate\Notifications\ChannelManager $instance */
+                        $instance->deliverVia($channel);
         }
         
         /**
          * Set the locale of notifications.
          *
          * @param string $locale
-         * @return $this 
+         * @return \Illuminate\Notifications\ChannelManager 
          * @static 
          */ 
         public static function locale($locale)
         {
-            return \Illuminate\Notifications\ChannelManager::locale($locale);
+                        /** @var \Illuminate\Notifications\ChannelManager $instance */
+                        return $instance->locale($locale);
         }
         
         /**
@@ -15451,7 +16441,8 @@ namespace Illuminate\Support\Facades {
         public static function driver($driver = null)
         {
             //Method inherited from \Illuminate\Support\Manager            
-            return \Illuminate\Notifications\ChannelManager::driver($driver);
+                        /** @var \Illuminate\Notifications\ChannelManager $instance */
+                        return $instance->driver($driver);
         }
         
         /**
@@ -15459,13 +16450,14 @@ namespace Illuminate\Support\Facades {
          *
          * @param string $driver
          * @param \Closure $callback
-         * @return $this 
+         * @return \Illuminate\Notifications\ChannelManager 
          * @static 
          */ 
         public static function extend($driver, $callback)
         {
             //Method inherited from \Illuminate\Support\Manager            
-            return \Illuminate\Notifications\ChannelManager::extend($driver, $callback);
+                        /** @var \Illuminate\Notifications\ChannelManager $instance */
+                        return $instance->extend($driver, $callback);
         }
         
         /**
@@ -15477,7 +16469,8 @@ namespace Illuminate\Support\Facades {
         public static function getDrivers()
         {
             //Method inherited from \Illuminate\Support\Manager            
-            return \Illuminate\Notifications\ChannelManager::getDrivers();
+                        /** @var \Illuminate\Notifications\ChannelManager $instance */
+                        return $instance->getDrivers();
         }
         
         /**
@@ -15491,7 +16484,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function assertSentTo($notifiable, $notification, $callback = null)
         {
-            \Illuminate\Support\Testing\Fakes\NotificationFake::assertSentTo($notifiable, $notification, $callback);
+                        /** @var \Illuminate\Support\Testing\Fakes\NotificationFake $instance */
+                        $instance->assertSentTo($notifiable, $notification, $callback);
         }
         
         /**
@@ -15505,7 +16499,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function assertSentToTimes($notifiable, $notification, $times = 1)
         {
-            \Illuminate\Support\Testing\Fakes\NotificationFake::assertSentToTimes($notifiable, $notification, $times);
+                        /** @var \Illuminate\Support\Testing\Fakes\NotificationFake $instance */
+                        $instance->assertSentToTimes($notifiable, $notification, $times);
         }
         
         /**
@@ -15519,7 +16514,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function assertNotSentTo($notifiable, $notification, $callback = null)
         {
-            \Illuminate\Support\Testing\Fakes\NotificationFake::assertNotSentTo($notifiable, $notification, $callback);
+                        /** @var \Illuminate\Support\Testing\Fakes\NotificationFake $instance */
+                        $instance->assertNotSentTo($notifiable, $notification, $callback);
         }
         
         /**
@@ -15530,7 +16526,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function assertNothingSent()
         {
-            \Illuminate\Support\Testing\Fakes\NotificationFake::assertNothingSent();
+                        /** @var \Illuminate\Support\Testing\Fakes\NotificationFake $instance */
+                        $instance->assertNothingSent();
         }
         
         /**
@@ -15543,7 +16540,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function assertTimesSent($expectedCount, $notification)
         {
-            \Illuminate\Support\Testing\Fakes\NotificationFake::assertTimesSent($expectedCount, $notification);
+                        /** @var \Illuminate\Support\Testing\Fakes\NotificationFake $instance */
+                        $instance->assertTimesSent($expectedCount, $notification);
         }
         
         /**
@@ -15557,7 +16555,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function sent($notifiable, $notification, $callback = null)
         {
-            return \Illuminate\Support\Testing\Fakes\NotificationFake::sent($notifiable, $notification, $callback);
+                        /** @var \Illuminate\Support\Testing\Fakes\NotificationFake $instance */
+                        return $instance->sent($notifiable, $notification, $callback);
         }
         
         /**
@@ -15570,7 +16569,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function hasSent($notifiable, $notification)
         {
-            return \Illuminate\Support\Testing\Fakes\NotificationFake::hasSent($notifiable, $notification);
+                        /** @var \Illuminate\Support\Testing\Fakes\NotificationFake $instance */
+                        return $instance->hasSent($notifiable, $notification);
         }
          
     }
@@ -15609,7 +16609,8 @@ namespace Proengsoft\JsValidation\Facades {
          */ 
         public static function make($rules, $messages = array(), $customAttributes = array(), $selector = null)
         {
-            return \Proengsoft\JsValidation\JsValidatorFactory::make($rules, $messages, $customAttributes, $selector);
+                        /** @var \Proengsoft\JsValidation\JsValidatorFactory $instance */
+                        return $instance->make($rules, $messages, $customAttributes, $selector);
         }
         
         /**
@@ -15623,7 +16624,8 @@ namespace Proengsoft\JsValidation\Facades {
          */ 
         public static function formRequest($formRequest, $selector = null)
         {
-            return \Proengsoft\JsValidation\JsValidatorFactory::formRequest($formRequest, $selector);
+                        /** @var \Proengsoft\JsValidation\JsValidatorFactory $instance */
+                        return $instance->formRequest($formRequest, $selector);
         }
         
         /**
@@ -15636,7 +16638,8 @@ namespace Proengsoft\JsValidation\Facades {
          */ 
         public static function validator($validator, $selector = null)
         {
-            return \Proengsoft\JsValidation\JsValidatorFactory::validator($validator, $selector);
+                        /** @var \Proengsoft\JsValidation\JsValidatorFactory $instance */
+                        return $instance->validator($validator, $selector);
         }
          
     }
@@ -15661,7 +16664,8 @@ namespace Laravel\Socialite\Facades {
          */ 
         public static function with($driver)
         {
-            return \Laravel\Socialite\SocialiteManager::with($driver);
+                        /** @var \Laravel\Socialite\SocialiteManager $instance */
+                        return $instance->with($driver);
         }
         
         /**
@@ -15674,7 +16678,8 @@ namespace Laravel\Socialite\Facades {
          */ 
         public static function buildProvider($provider, $config)
         {
-            return \Laravel\Socialite\SocialiteManager::buildProvider($provider, $config);
+                        /** @var \Laravel\Socialite\SocialiteManager $instance */
+                        return $instance->buildProvider($provider, $config);
         }
         
         /**
@@ -15686,7 +16691,8 @@ namespace Laravel\Socialite\Facades {
          */ 
         public static function formatConfig($config)
         {
-            return \Laravel\Socialite\SocialiteManager::formatConfig($config);
+                        /** @var \Laravel\Socialite\SocialiteManager $instance */
+                        return $instance->formatConfig($config);
         }
         
         /**
@@ -15698,7 +16704,8 @@ namespace Laravel\Socialite\Facades {
          */ 
         public static function getDefaultDriver()
         {
-            return \Laravel\Socialite\SocialiteManager::getDefaultDriver();
+                        /** @var \Laravel\Socialite\SocialiteManager $instance */
+                        return $instance->getDefaultDriver();
         }
         
         /**
@@ -15712,7 +16719,8 @@ namespace Laravel\Socialite\Facades {
         public static function driver($driver = null)
         {
             //Method inherited from \Illuminate\Support\Manager            
-            return \Laravel\Socialite\SocialiteManager::driver($driver);
+                        /** @var \Laravel\Socialite\SocialiteManager $instance */
+                        return $instance->driver($driver);
         }
         
         /**
@@ -15720,13 +16728,14 @@ namespace Laravel\Socialite\Facades {
          *
          * @param string $driver
          * @param \Closure $callback
-         * @return $this 
+         * @return \Laravel\Socialite\SocialiteManager 
          * @static 
          */ 
         public static function extend($driver, $callback)
         {
             //Method inherited from \Illuminate\Support\Manager            
-            return \Laravel\Socialite\SocialiteManager::extend($driver, $callback);
+                        /** @var \Laravel\Socialite\SocialiteManager $instance */
+                        return $instance->extend($driver, $callback);
         }
         
         /**
@@ -15738,7 +16747,8 @@ namespace Laravel\Socialite\Facades {
         public static function getDrivers()
         {
             //Method inherited from \Illuminate\Support\Manager            
-            return \Laravel\Socialite\SocialiteManager::getDrivers();
+                        /** @var \Laravel\Socialite\SocialiteManager $instance */
+                        return $instance->getDrivers();
         }
          
     }
@@ -15763,7 +16773,8 @@ namespace Collective\Html {
          */ 
         public static function open($options = array())
         {
-            return \Collective\Html\FormBuilder::open($options);
+                        /** @var \Collective\Html\FormBuilder $instance */
+                        return $instance->open($options);
         }
         
         /**
@@ -15776,7 +16787,8 @@ namespace Collective\Html {
          */ 
         public static function model($model, $options = array())
         {
-            return \Collective\Html\FormBuilder::model($model, $options);
+                        /** @var \Collective\Html\FormBuilder $instance */
+                        return $instance->model($model, $options);
         }
         
         /**
@@ -15788,7 +16800,8 @@ namespace Collective\Html {
          */ 
         public static function setModel($model)
         {
-            \Collective\Html\FormBuilder::setModel($model);
+                        /** @var \Collective\Html\FormBuilder $instance */
+                        $instance->setModel($model);
         }
         
         /**
@@ -15799,7 +16812,8 @@ namespace Collective\Html {
          */ 
         public static function getModel()
         {
-            return \Collective\Html\FormBuilder::getModel();
+                        /** @var \Collective\Html\FormBuilder $instance */
+                        return $instance->getModel();
         }
         
         /**
@@ -15810,7 +16824,8 @@ namespace Collective\Html {
          */ 
         public static function close()
         {
-            return \Collective\Html\FormBuilder::close();
+                        /** @var \Collective\Html\FormBuilder $instance */
+                        return $instance->close();
         }
         
         /**
@@ -15821,7 +16836,8 @@ namespace Collective\Html {
          */ 
         public static function token()
         {
-            return \Collective\Html\FormBuilder::token();
+                        /** @var \Collective\Html\FormBuilder $instance */
+                        return $instance->token();
         }
         
         /**
@@ -15836,7 +16852,8 @@ namespace Collective\Html {
          */ 
         public static function label($name, $value = null, $options = array(), $escape_html = true)
         {
-            return \Collective\Html\FormBuilder::label($name, $value, $options, $escape_html);
+                        /** @var \Collective\Html\FormBuilder $instance */
+                        return $instance->label($name, $value, $options, $escape_html);
         }
         
         /**
@@ -15851,7 +16868,8 @@ namespace Collective\Html {
          */ 
         public static function input($type, $name, $value = null, $options = array())
         {
-            return \Collective\Html\FormBuilder::input($type, $name, $value, $options);
+                        /** @var \Collective\Html\FormBuilder $instance */
+                        return $instance->input($type, $name, $value, $options);
         }
         
         /**
@@ -15865,7 +16883,8 @@ namespace Collective\Html {
          */ 
         public static function text($name, $value = null, $options = array())
         {
-            return \Collective\Html\FormBuilder::text($name, $value, $options);
+                        /** @var \Collective\Html\FormBuilder $instance */
+                        return $instance->text($name, $value, $options);
         }
         
         /**
@@ -15878,7 +16897,8 @@ namespace Collective\Html {
          */ 
         public static function password($name, $options = array())
         {
-            return \Collective\Html\FormBuilder::password($name, $options);
+                        /** @var \Collective\Html\FormBuilder $instance */
+                        return $instance->password($name, $options);
         }
         
         /**
@@ -15892,7 +16912,8 @@ namespace Collective\Html {
          */ 
         public static function range($name, $value = null, $options = array())
         {
-            return \Collective\Html\FormBuilder::range($name, $value, $options);
+                        /** @var \Collective\Html\FormBuilder $instance */
+                        return $instance->range($name, $value, $options);
         }
         
         /**
@@ -15906,7 +16927,8 @@ namespace Collective\Html {
          */ 
         public static function hidden($name, $value = null, $options = array())
         {
-            return \Collective\Html\FormBuilder::hidden($name, $value, $options);
+                        /** @var \Collective\Html\FormBuilder $instance */
+                        return $instance->hidden($name, $value, $options);
         }
         
         /**
@@ -15920,7 +16942,8 @@ namespace Collective\Html {
          */ 
         public static function search($name, $value = null, $options = array())
         {
-            return \Collective\Html\FormBuilder::search($name, $value, $options);
+                        /** @var \Collective\Html\FormBuilder $instance */
+                        return $instance->search($name, $value, $options);
         }
         
         /**
@@ -15934,7 +16957,8 @@ namespace Collective\Html {
          */ 
         public static function email($name, $value = null, $options = array())
         {
-            return \Collective\Html\FormBuilder::email($name, $value, $options);
+                        /** @var \Collective\Html\FormBuilder $instance */
+                        return $instance->email($name, $value, $options);
         }
         
         /**
@@ -15948,7 +16972,8 @@ namespace Collective\Html {
          */ 
         public static function tel($name, $value = null, $options = array())
         {
-            return \Collective\Html\FormBuilder::tel($name, $value, $options);
+                        /** @var \Collective\Html\FormBuilder $instance */
+                        return $instance->tel($name, $value, $options);
         }
         
         /**
@@ -15962,7 +16987,8 @@ namespace Collective\Html {
          */ 
         public static function number($name, $value = null, $options = array())
         {
-            return \Collective\Html\FormBuilder::number($name, $value, $options);
+                        /** @var \Collective\Html\FormBuilder $instance */
+                        return $instance->number($name, $value, $options);
         }
         
         /**
@@ -15976,7 +17002,8 @@ namespace Collective\Html {
          */ 
         public static function date($name, $value = null, $options = array())
         {
-            return \Collective\Html\FormBuilder::date($name, $value, $options);
+                        /** @var \Collective\Html\FormBuilder $instance */
+                        return $instance->date($name, $value, $options);
         }
         
         /**
@@ -15990,7 +17017,8 @@ namespace Collective\Html {
          */ 
         public static function datetime($name, $value = null, $options = array())
         {
-            return \Collective\Html\FormBuilder::datetime($name, $value, $options);
+                        /** @var \Collective\Html\FormBuilder $instance */
+                        return $instance->datetime($name, $value, $options);
         }
         
         /**
@@ -16004,7 +17032,8 @@ namespace Collective\Html {
          */ 
         public static function datetimeLocal($name, $value = null, $options = array())
         {
-            return \Collective\Html\FormBuilder::datetimeLocal($name, $value, $options);
+                        /** @var \Collective\Html\FormBuilder $instance */
+                        return $instance->datetimeLocal($name, $value, $options);
         }
         
         /**
@@ -16018,7 +17047,8 @@ namespace Collective\Html {
          */ 
         public static function time($name, $value = null, $options = array())
         {
-            return \Collective\Html\FormBuilder::time($name, $value, $options);
+                        /** @var \Collective\Html\FormBuilder $instance */
+                        return $instance->time($name, $value, $options);
         }
         
         /**
@@ -16032,7 +17062,8 @@ namespace Collective\Html {
          */ 
         public static function url($name, $value = null, $options = array())
         {
-            return \Collective\Html\FormBuilder::url($name, $value, $options);
+                        /** @var \Collective\Html\FormBuilder $instance */
+                        return $instance->url($name, $value, $options);
         }
         
         /**
@@ -16046,7 +17077,8 @@ namespace Collective\Html {
          */ 
         public static function week($name, $value = null, $options = array())
         {
-            return \Collective\Html\FormBuilder::week($name, $value, $options);
+                        /** @var \Collective\Html\FormBuilder $instance */
+                        return $instance->week($name, $value, $options);
         }
         
         /**
@@ -16059,7 +17091,8 @@ namespace Collective\Html {
          */ 
         public static function file($name, $options = array())
         {
-            return \Collective\Html\FormBuilder::file($name, $options);
+                        /** @var \Collective\Html\FormBuilder $instance */
+                        return $instance->file($name, $options);
         }
         
         /**
@@ -16073,7 +17106,8 @@ namespace Collective\Html {
          */ 
         public static function textarea($name, $value = null, $options = array())
         {
-            return \Collective\Html\FormBuilder::textarea($name, $value, $options);
+                        /** @var \Collective\Html\FormBuilder $instance */
+                        return $instance->textarea($name, $value, $options);
         }
         
         /**
@@ -16090,7 +17124,8 @@ namespace Collective\Html {
          */ 
         public static function select($name, $list = array(), $selected = null, $selectAttributes = array(), $optionsAttributes = array(), $optgroupsAttributes = array())
         {
-            return \Collective\Html\FormBuilder::select($name, $list, $selected, $selectAttributes, $optionsAttributes, $optgroupsAttributes);
+                        /** @var \Collective\Html\FormBuilder $instance */
+                        return $instance->select($name, $list, $selected, $selectAttributes, $optionsAttributes, $optgroupsAttributes);
         }
         
         /**
@@ -16106,7 +17141,8 @@ namespace Collective\Html {
          */ 
         public static function selectRange($name, $begin, $end, $selected = null, $options = array())
         {
-            return \Collective\Html\FormBuilder::selectRange($name, $begin, $end, $selected, $options);
+                        /** @var \Collective\Html\FormBuilder $instance */
+                        return $instance->selectRange($name, $begin, $end, $selected, $options);
         }
         
         /**
@@ -16122,7 +17158,8 @@ namespace Collective\Html {
          */ 
         public static function selectYear()
         {
-            return \Collective\Html\FormBuilder::selectYear();
+                        /** @var \Collective\Html\FormBuilder $instance */
+                        return $instance->selectYear();
         }
         
         /**
@@ -16137,7 +17174,8 @@ namespace Collective\Html {
          */ 
         public static function selectMonth($name, $selected = null, $options = array(), $format = '%B')
         {
-            return \Collective\Html\FormBuilder::selectMonth($name, $selected, $options, $format);
+                        /** @var \Collective\Html\FormBuilder $instance */
+                        return $instance->selectMonth($name, $selected, $options, $format);
         }
         
         /**
